[PACKAGE]: ../../raw/master/juniper_craft_alarm-0.0.2-20230901.mkp "juniper_craft_alarm-0.0.2-20230901.mkp"
# Juniper Chassis Alarm

Monitors the status of the Juniper Chassis alarm using the JUNIPER-ALARM-MIB.
   
---
### Download

* [Download latest mkp file][PACKAGE]

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install juniper_craft_alarm-0.0.2-20230901.mkp
```
or beginning with CMK2.2.x
```
mkp add juniper_craft_alarm-0.0.2-20230901.mkp
mkp enable juniper_craft_alarm 0.0.2-20230901
```

In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

This plugn creates the service _Chassis Alarm_.

<details><summary>Montoring states</summary>

| State | condition | WATO | 
| ------ | ------ | ------ |
| WARN | if Alarm Relay Mode is not _pass on_ | yes |
| WARN | if Yellow Alarm is not off | yes |
| WARN |if Red Alarm is not off | yes |
| WARN/CRIT | if the number of yellow alerts is greater 0 | yes |
| WARN/CRIT | if the number of red alerts is greater 0 | yes |

</details>

<details><summary>Perfdata</summary>

There are no perfdata.

</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

| Section | Rule name |
| ------ | ------ |
| Hardware, BIOS | Juniper Chassis Alarm |

| Option | Defailt value |
| ------ | ------ |
| State if Alarm relay mode not "pass on" | Warn |
| State if Yellow alarm is not "off" | Warn |
| State if Red alarm is not "off" | Crit |
| Levels Yellow Alarm | none |
| Levels Red Alarm | none |

</details>

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

